%define tinyproxy_confdir /etc/tinyproxy
%define tinyproxy_datadir %{_datadir}/tinyproxy
%define tinyproxy_rundir  /var/run/tinyproxy
%define tinyproxy_logdir  /var/log/tinyproxy
%define tinyproxy_user    nobody
%define tinyproxy_group   nobody

Name:           tinyproxy
Version:        1.8.1
Release:        1
Summary:        A small, efficient HTTP/SSL proxy daemon

Group:          System Environment/Daemons
License:        GPLv2+
URL:            https://www.banu.com/tinyproxy/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Source0:        https://www.banu.com/pub/tinyproxy/1.8/%{name}-%{version}.tar.bz2
Source1:        %{name}.aix.init
Source2:        %{name}.conf
Source3:        %{name}.logrotate
Source4:        %{name}.conf.5
Source5:        %{name}.8

Patch0:		%{name}-%{version}-aix.patch

BuildRequires:	asciidoc, hs_regex-devel
Requires:	hs_regex

%description
tinyproxy is a small, efficient HTTP/SSL proxy daemon that is very useful in a
small network setting, where a larger proxy like Squid would either be too
resource intensive, or a security risk.  


%prep
%setup -q
%patch0


%build
# force the inclusion of /opt/freeware/lib/libregex.a (hs_regex)
export LDFLAGS="-L/opt/freeware/lib -lregex -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --sysconfdir=%{tinyproxy_confdir} \
    --localstatedir=/var \
    --disable-silent-rules \
    --enable-reverse \
    --enable-transparent 

# required as long as I don't get asciidoc working properly
cp %{SOURCE4} docs/man5
cp %{SOURCE5} docs/man8

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

%{__mkdir_p} ${RPM_BUILD_ROOT}/etc/rc.d/init.d
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/%{name}
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/init.d/%{name}

%{__mkdir_p} ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/
%{__mkdir_p} ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/
ln -sf '../init.d/tinyproxy' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/S%{name}
ln -sf '../init.d/tinyproxy' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/K%{name}
ln -sf '../init.d/tinyproxy' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/S%{name}
ln -sf '../init.d/tinyproxy' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/K%{name}

%{__mkdir_p} ${RPM_BUILD_ROOT}%{tinyproxy_confdir}
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{tinyproxy_confdir}/%{name}.conf
chmod 0644  ${RPM_BUILD_ROOT}%{tinyproxy_confdir}/%{name}.conf

%{__mkdir_p} ${RPM_BUILD_ROOT}/etc/logrotate.d
cp %{SOURCE3} ${RPM_BUILD_ROOT}/etc/logrotate.d/%{name}
chmod 0644 ${RPM_BUILD_ROOT}/etc/logrotate.d/%{name}

%{__mkdir_p} ${RPM_BUILD_ROOT}%{tinyproxy_rundir}
chmod 0700 ${RPM_BUILD_ROOT}%{tinyproxy_rundir}
chown nobody.nobody ${RPM_BUILD_ROOT}%{tinyproxy_rundir}

%{__mkdir_p} ${RPM_BUILD_ROOT}%{tinyproxy_logdir}
chmod 0700 ${RPM_BUILD_ROOT}%{tinyproxy_logdir}
chown nobody.nobody ${RPM_BUILD_ROOT}%{tinyproxy_logdir}


%preun
if [ $1 = 0 ] ; then
    /etc/rc.d/init.d/%{name} stop >/dev/null 2>&1
fi  
    

%postun
if [ $1 = 2 ] ; then
    /etc/rc.d/init.d/%{name} restart > /dev/null 2>&1 || :
fi  
 

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING README NEWS docs/*.txt
%{_sbindir}/%{name}
%{_mandir}/man5/%{name}.conf.5
%{_mandir}/man8/%{name}.8
/etc/rc.d/init.d/%{name}
/etc/rc.d/rc2.d/K%{name}
/etc/rc.d/rc2.d/S%{name}
/etc/rc.d/rc3.d/K%{name}
/etc/rc.d/rc3.d/S%{name}
%dir %{tinyproxy_datadir}
%attr(-,nobody,nobody) %{tinyproxy_rundir}
%attr(-,nobody,nobody) %{tinyproxy_logdir}
%config(noreplace) %{tinyproxy_confdir}/%{name}.conf
%config(noreplace) /etc/logrotate.d/%{name}


%changelog
* Mon May 17 2010 Michael Perzl <michael@perzl.org> - 1.8.1-1
- first version for AIX V5.1 and higher
